routes/admin.php
<?php
Route::resource('car', 'CarController');
Route::resource('my-category', 'MyCategoryController');
Route::resource('product', 'ProductController');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin/', 'as' => 'admin.', 'namespace' => 'Admin\\'], function() {

    /**
     * this is admin dashboard
     */
    Route::get('dashboard', ['as' => 'dashboard', 'uses' => 'DashboardController@index']);

//    Route::resource('category', 'CategoryController');

    include_once(base_path('routes/admin.php'));

});

resources/views/admin/common/action.blade.php
<div class="ibox">
    <div class="ibox-content">
        <div class="col-sm-12 actionBtnCustom ">
            <button class="btn btn-danger" type="reset">{{ __('Reset') }}</button>
            <button class="btn btn-primary" type="submit" name="submit_continue">{{ __('Save And Continue') }}</button>
            <button class="btn btn-primary" type="submit">{{ __('Save changes') }}</button>
        </div>
    </div>
</div>

resources/views/admin/common/breadcrumbs.blade.php
@php
    $base = strtolower($panel);
    $panel = ucwords(str_replace('-', ' ',  $panel));
    $title = ucfirst($title);
@endphp
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-6">
        <h2>{{ $panel }} Management</h2>
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ route('admin.dashboard') }}">Home</a>
            </li>
            <li class="breadcrumb-item active">
                <a href="{{ route('admin.'.$base.'.index') }}">{{ $panel }}</a>
            </li>

            <li class="breadcrumb-item">
                <strong>{{ $title }}</strong>
            </li>
        </ol>
    </div>

    <div class="col-lg-6" style="padding-top: 30px;">
        <div class="btn-toolbar pull-right">
            @if (is_active("admin.{$base}.index") || is_active("admin.{$base}.show") || is_active("admin.{$base}.edit"))
                <a href="{{ route('admin.'.$base.'.create') }}" class="btn btn-sm btn-success pull-right m-t-n-xs mr-3">
                    <i class="fa fa-plus"></i><strong> Create</strong>
                </a>
            @endif

            @if (is_active("admin.{$base}.create") || is_active("admin.{$base}.show") || is_active("admin.{$base}.edit"))
                <a href="{{ route('admin.'.$base.'.index') }}" class="btn btn-sm btn-success pull-right m-t-n-xs mr-3">
                    <i class="fa fa-list"></i><strong> List</strong></a>
            @endif

            @if (is_active("admin.{$base}.show"))
                <a href="{{ route('admin.'.$base.'.edit', $id) }}" class="btn btn-sm btn-success pull-right m-t-n-xs mr-3">
                    <i class="fa fa-edit"></i><strong> Edit </strong></a>
            @endif

            @if (is_active("admin.{$base}.edit"))
                <a href="{{ route('admin.'.$base.'.show', $id) }}" class="btn btn-sm btn-success pull-right m-t-n-xs mr-3">
                    <i class="fa fa-eye"></i><strong> View </strong></a>
            @endif
        </div>
    </div>

</div>

@if(app()->environment('local') && $errors->any())
    <br>
    <pre style="color: red;">{!! implode('', $errors->all('<code>:message</code> <br>')) !!}</pre>
@endif

resources/views/admin/common/status.blade.php
<div class="hr-line-dashed"></div>
<div class="form-group row">
    <label class="col-sm-1 col-form-label is_required">Status</label>
    <div class="col-sm-8">
        <div class="i-checks mt-2">
            <label for="active"> {!! Form::radio('status', 1, true, ['id' => 'active']) !!} <i></i> Active </label>
            <label for="inactive"> {!! Form::radio('status', 0, false, ['id' => 'inactive']) !!} <i></i> Inactive </label>
        </div>
    </div>
    @if($errors->has('status'))
        <label class="has-error" for="status">{{ $errors->first('status') }}</label>
    @endif
</div>